// package: nde.filesystem
// file: fm.proto

import * as jspb from "google-protobuf";

export class GetTreeRequest extends jspb.Message {
  getPath(): string;
  setPath(value: string): void;

  getShowhidefile(): boolean;
  setShowhidefile(value: boolean): void;

  getIsabsolute(): boolean;
  setIsabsolute(value: boolean): void;

  serializeBinary(): Uint8Array;
  toObject(includeInstance?: boolean): GetTreeRequest.AsObject;
  static toObject(includeInstance: boolean, msg: GetTreeRequest): GetTreeRequest.AsObject;
  static extensions: {[key: number]: jspb.ExtensionFieldInfo<jspb.Message>};
  static extensionsBinary: {[key: number]: jspb.ExtensionFieldBinaryInfo<jspb.Message>};
  static serializeBinaryToWriter(message: GetTreeRequest, writer: jspb.BinaryWriter): void;
  static deserializeBinary(bytes: Uint8Array): GetTreeRequest;
  static deserializeBinaryFromReader(message: GetTreeRequest, reader: jspb.BinaryReader): GetTreeRequest;
}

export namespace GetTreeRequest {
  export type AsObject = {
    path: string,
    showhidefile: boolean,
    isabsolute: boolean,
  }
}

export class GetTreeResponse extends jspb.Message {
  getMode(): string;
  setMode(value: string): void;

  getModifytime(): number;
  setModifytime(value: number): void;

  getCreatetime(): number;
  setCreatetime(value: number): void;

  getName(): string;
  setName(value: string): void;

  getSize(): number;
  setSize(value: number): void;

  getLinkto(): string;
  setLinkto(value: string): void;

  getFullpath(): string;
  setFullpath(value: string): void;

  serializeBinary(): Uint8Array;
  toObject(includeInstance?: boolean): GetTreeResponse.AsObject;
  static toObject(includeInstance: boolean, msg: GetTreeResponse): GetTreeResponse.AsObject;
  static extensions: {[key: number]: jspb.ExtensionFieldInfo<jspb.Message>};
  static extensionsBinary: {[key: number]: jspb.ExtensionFieldBinaryInfo<jspb.Message>};
  static serializeBinaryToWriter(message: GetTreeResponse, writer: jspb.BinaryWriter): void;
  static deserializeBinary(bytes: Uint8Array): GetTreeResponse;
  static deserializeBinaryFromReader(message: GetTreeResponse, reader: jspb.BinaryReader): GetTreeResponse;
}

export namespace GetTreeResponse {
  export type AsObject = {
    mode: string,
    modifytime: number,
    createtime: number,
    name: string,
    size: number,
    linkto: string,
    fullpath: string,
  }
}

export class MkdirRequest extends jspb.Message {
  getPath(): string;
  setPath(value: string): void;

  getIsfile(): boolean;
  setIsfile(value: boolean): void;

  serializeBinary(): Uint8Array;
  toObject(includeInstance?: boolean): MkdirRequest.AsObject;
  static toObject(includeInstance: boolean, msg: MkdirRequest): MkdirRequest.AsObject;
  static extensions: {[key: number]: jspb.ExtensionFieldInfo<jspb.Message>};
  static extensionsBinary: {[key: number]: jspb.ExtensionFieldBinaryInfo<jspb.Message>};
  static serializeBinaryToWriter(message: MkdirRequest, writer: jspb.BinaryWriter): void;
  static deserializeBinary(bytes: Uint8Array): MkdirRequest;
  static deserializeBinaryFromReader(message: MkdirRequest, reader: jspb.BinaryReader): MkdirRequest;
}

export namespace MkdirRequest {
  export type AsObject = {
    path: string,
    isfile: boolean,
  }
}

export class MkdirResponse extends jspb.Message {
  getErr(): string;
  setErr(value: string): void;

  serializeBinary(): Uint8Array;
  toObject(includeInstance?: boolean): MkdirResponse.AsObject;
  static toObject(includeInstance: boolean, msg: MkdirResponse): MkdirResponse.AsObject;
  static extensions: {[key: number]: jspb.ExtensionFieldInfo<jspb.Message>};
  static extensionsBinary: {[key: number]: jspb.ExtensionFieldBinaryInfo<jspb.Message>};
  static serializeBinaryToWriter(message: MkdirResponse, writer: jspb.BinaryWriter): void;
  static deserializeBinary(bytes: Uint8Array): MkdirResponse;
  static deserializeBinaryFromReader(message: MkdirResponse, reader: jspb.BinaryReader): MkdirResponse;
}

export namespace MkdirResponse {
  export type AsObject = {
    err: string,
  }
}

export class RemoveRequest extends jspb.Message {
  clearPathList(): void;
  getPathList(): Array<string>;
  setPathList(value: Array<string>): void;
  addPath(value: string, index?: number): string;

  serializeBinary(): Uint8Array;
  toObject(includeInstance?: boolean): RemoveRequest.AsObject;
  static toObject(includeInstance: boolean, msg: RemoveRequest): RemoveRequest.AsObject;
  static extensions: {[key: number]: jspb.ExtensionFieldInfo<jspb.Message>};
  static extensionsBinary: {[key: number]: jspb.ExtensionFieldBinaryInfo<jspb.Message>};
  static serializeBinaryToWriter(message: RemoveRequest, writer: jspb.BinaryWriter): void;
  static deserializeBinary(bytes: Uint8Array): RemoveRequest;
  static deserializeBinaryFromReader(message: RemoveRequest, reader: jspb.BinaryReader): RemoveRequest;
}

export namespace RemoveRequest {
  export type AsObject = {
    pathList: Array<string>,
  }
}

export class RemoveResponse extends jspb.Message {
  getErr(): string;
  setErr(value: string): void;

  serializeBinary(): Uint8Array;
  toObject(includeInstance?: boolean): RemoveResponse.AsObject;
  static toObject(includeInstance: boolean, msg: RemoveResponse): RemoveResponse.AsObject;
  static extensions: {[key: number]: jspb.ExtensionFieldInfo<jspb.Message>};
  static extensionsBinary: {[key: number]: jspb.ExtensionFieldBinaryInfo<jspb.Message>};
  static serializeBinaryToWriter(message: RemoveResponse, writer: jspb.BinaryWriter): void;
  static deserializeBinary(bytes: Uint8Array): RemoveResponse;
  static deserializeBinaryFromReader(message: RemoveResponse, reader: jspb.BinaryReader): RemoveResponse;
}

export namespace RemoveResponse {
  export type AsObject = {
    err: string,
  }
}

export class PasteRequest extends jspb.Message {
  getPath(): string;
  setPath(value: string): void;

  getDist(): string;
  setDist(value: string): void;

  getIscopy(): boolean;
  setIscopy(value: boolean): void;

  serializeBinary(): Uint8Array;
  toObject(includeInstance?: boolean): PasteRequest.AsObject;
  static toObject(includeInstance: boolean, msg: PasteRequest): PasteRequest.AsObject;
  static extensions: {[key: number]: jspb.ExtensionFieldInfo<jspb.Message>};
  static extensionsBinary: {[key: number]: jspb.ExtensionFieldBinaryInfo<jspb.Message>};
  static serializeBinaryToWriter(message: PasteRequest, writer: jspb.BinaryWriter): void;
  static deserializeBinary(bytes: Uint8Array): PasteRequest;
  static deserializeBinaryFromReader(message: PasteRequest, reader: jspb.BinaryReader): PasteRequest;
}

export namespace PasteRequest {
  export type AsObject = {
    path: string,
    dist: string,
    iscopy: boolean,
  }
}

export class PasteResponse extends jspb.Message {
  getErr(): string;
  setErr(value: string): void;

  serializeBinary(): Uint8Array;
  toObject(includeInstance?: boolean): PasteResponse.AsObject;
  static toObject(includeInstance: boolean, msg: PasteResponse): PasteResponse.AsObject;
  static extensions: {[key: number]: jspb.ExtensionFieldInfo<jspb.Message>};
  static extensionsBinary: {[key: number]: jspb.ExtensionFieldBinaryInfo<jspb.Message>};
  static serializeBinaryToWriter(message: PasteResponse, writer: jspb.BinaryWriter): void;
  static deserializeBinary(bytes: Uint8Array): PasteResponse;
  static deserializeBinaryFromReader(message: PasteResponse, reader: jspb.BinaryReader): PasteResponse;
}

export namespace PasteResponse {
  export type AsObject = {
    err: string,
  }
}

export class RenameRequest extends jspb.Message {
  getOld(): string;
  setOld(value: string): void;

  getNewname(): string;
  setNewname(value: string): void;

  serializeBinary(): Uint8Array;
  toObject(includeInstance?: boolean): RenameRequest.AsObject;
  static toObject(includeInstance: boolean, msg: RenameRequest): RenameRequest.AsObject;
  static extensions: {[key: number]: jspb.ExtensionFieldInfo<jspb.Message>};
  static extensionsBinary: {[key: number]: jspb.ExtensionFieldBinaryInfo<jspb.Message>};
  static serializeBinaryToWriter(message: RenameRequest, writer: jspb.BinaryWriter): void;
  static deserializeBinary(bytes: Uint8Array): RenameRequest;
  static deserializeBinaryFromReader(message: RenameRequest, reader: jspb.BinaryReader): RenameRequest;
}

export namespace RenameRequest {
  export type AsObject = {
    old: string,
    newname: string,
  }
}

export class RenameResponse extends jspb.Message {
  getErr(): string;
  setErr(value: string): void;

  serializeBinary(): Uint8Array;
  toObject(includeInstance?: boolean): RenameResponse.AsObject;
  static toObject(includeInstance: boolean, msg: RenameResponse): RenameResponse.AsObject;
  static extensions: {[key: number]: jspb.ExtensionFieldInfo<jspb.Message>};
  static extensionsBinary: {[key: number]: jspb.ExtensionFieldBinaryInfo<jspb.Message>};
  static serializeBinaryToWriter(message: RenameResponse, writer: jspb.BinaryWriter): void;
  static deserializeBinary(bytes: Uint8Array): RenameResponse;
  static deserializeBinaryFromReader(message: RenameResponse, reader: jspb.BinaryReader): RenameResponse;
}

export namespace RenameResponse {
  export type AsObject = {
    err: string,
  }
}

export class FileData extends jspb.Message {
  getData(): Uint8Array | string;
  getData_asU8(): Uint8Array;
  getData_asB64(): string;
  setData(value: Uint8Array | string): void;

  serializeBinary(): Uint8Array;
  toObject(includeInstance?: boolean): FileData.AsObject;
  static toObject(includeInstance: boolean, msg: FileData): FileData.AsObject;
  static extensions: {[key: number]: jspb.ExtensionFieldInfo<jspb.Message>};
  static extensionsBinary: {[key: number]: jspb.ExtensionFieldBinaryInfo<jspb.Message>};
  static serializeBinaryToWriter(message: FileData, writer: jspb.BinaryWriter): void;
  static deserializeBinary(bytes: Uint8Array): FileData;
  static deserializeBinaryFromReader(message: FileData, reader: jspb.BinaryReader): FileData;
}

export namespace FileData {
  export type AsObject = {
    data: Uint8Array | string,
  }
}

export class FileName extends jspb.Message {
  getFilepath(): string;
  setFilepath(value: string): void;

  getType(): string;
  setType(value: string): void;

  serializeBinary(): Uint8Array;
  toObject(includeInstance?: boolean): FileName.AsObject;
  static toObject(includeInstance: boolean, msg: FileName): FileName.AsObject;
  static extensions: {[key: number]: jspb.ExtensionFieldInfo<jspb.Message>};
  static extensionsBinary: {[key: number]: jspb.ExtensionFieldBinaryInfo<jspb.Message>};
  static serializeBinaryToWriter(message: FileName, writer: jspb.BinaryWriter): void;
  static deserializeBinary(bytes: Uint8Array): FileName;
  static deserializeBinaryFromReader(message: FileName, reader: jspb.BinaryReader): FileName;
}

export namespace FileName {
  export type AsObject = {
    filepath: string,
    type: string,
  }
}

export class SaveFileRequest extends jspb.Message {
  getData(): Uint8Array | string;
  getData_asU8(): Uint8Array;
  getData_asB64(): string;
  setData(value: Uint8Array | string): void;

  getFilepath(): string;
  setFilepath(value: string): void;

  serializeBinary(): Uint8Array;
  toObject(includeInstance?: boolean): SaveFileRequest.AsObject;
  static toObject(includeInstance: boolean, msg: SaveFileRequest): SaveFileRequest.AsObject;
  static extensions: {[key: number]: jspb.ExtensionFieldInfo<jspb.Message>};
  static extensionsBinary: {[key: number]: jspb.ExtensionFieldBinaryInfo<jspb.Message>};
  static serializeBinaryToWriter(message: SaveFileRequest, writer: jspb.BinaryWriter): void;
  static deserializeBinary(bytes: Uint8Array): SaveFileRequest;
  static deserializeBinaryFromReader(message: SaveFileRequest, reader: jspb.BinaryReader): SaveFileRequest;
}

export namespace SaveFileRequest {
  export type AsObject = {
    data: Uint8Array | string,
    filepath: string,
  }
}

export class SaveFileResponse extends jspb.Message {
  getErr(): string;
  setErr(value: string): void;

  serializeBinary(): Uint8Array;
  toObject(includeInstance?: boolean): SaveFileResponse.AsObject;
  static toObject(includeInstance: boolean, msg: SaveFileResponse): SaveFileResponse.AsObject;
  static extensions: {[key: number]: jspb.ExtensionFieldInfo<jspb.Message>};
  static extensionsBinary: {[key: number]: jspb.ExtensionFieldBinaryInfo<jspb.Message>};
  static serializeBinaryToWriter(message: SaveFileResponse, writer: jspb.BinaryWriter): void;
  static deserializeBinary(bytes: Uint8Array): SaveFileResponse;
  static deserializeBinaryFromReader(message: SaveFileResponse, reader: jspb.BinaryReader): SaveFileResponse;
}

export namespace SaveFileResponse {
  export type AsObject = {
    err: string,
  }
}

